<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jumeirah.common.mapper.AppUserMapper">

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, username, nickname, password, salt, phone, phone_area, gender, head, remark, state, department_id, role_id, deleted, version, create_time, update_time
    </sql>

    <select id="getAppUserById" resultType="com.jumeirah.common.vo.AppUserQueryVo">
        select
        <include refid="Base_Column_List"/>
        from app_user where id = #{id}
    </select>

    <select id="getAppUserPageList" parameterType="com.jumeirah.common.param.AppUserPageParam"
            resultType="com.jumeirah.common.vo.AppUserQueryVo">
        select
        <include refid="Base_Column_List"/>
        from app_user
    </select>

</mapper>
